import { select ,range } from 'd3';
import { fruitBowl } from './fruitbowl';

const svg = select('svg');

const width = +svg.attr('width');

const makeFruit = type => ({ 
  type,
  id: Math.random()
});

let fruits = range(5)
	.map(() => makeFruit('apple'));

let selectedFruit = null;

const setSelectedFruit = id => {
 selectedFruit = id;
 console.log(selectedFruit);
 render();
}


const render = () => {
 fruitBowl(svg,{
   fruits,
   height: +svg.attr('height'),
   setSelectedFruit,
   selectedFruit
 });
};


render();

// eat

setTimeout(() => {
  
	fruits.pop();
  render();
},1000);

// replace with lemon
setTimeout(() => {
  fruits[2].type = 'lemon'
  render();
},2000);

// eat
setTimeout(() => {
 fruits = fruits.filter((d,i) => i !== 1);
  render();
},3000);